Package org.apache.velocity.runtime

# Class ParserPoolImpl

java.lang.Object
org.apache.velocity.runtime.ParserPoolImpl

All Implemented Interfaces:
  `ParserPool`

public class ParserPoolImpl extends Object implements ParserPool
This wraps the original parser SimplePool class. It also handles instantiating ad-hoc parsers if none are available.

Since:
  1.5
Version:
  $Id: RuntimeInstance.java 384374 2006-03-08 23:19:30Z nbubna $
Author:
  Serge Knystautas

## Constructor Summary

Constructors
Constructor
Description
`ParserPoolImpl()`

## Method Summary

Modifier and Type
Method
Description
`Parser`
`get()`
Call the wrapped pool.
`void`
`initialize(RuntimeServices rsvc)`
Create the underlying "pool".
`void`
`put(Parser parser)`
Call the wrapped pool.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParserPoolImpl

public ParserPoolImpl()

## Method Details

### initialize

public void initialize(RuntimeServices rsvc)
Create the underlying "pool".

Specified by:
  `initialize` in interface `ParserPool`
Parameters:
  `rsvc` -

### get

public Parser get()
Call the wrapped pool. If none are available, it will create a new temporary one.

Specified by:
  `get` in interface `ParserPool`
Returns:
  A parser Object.

### put

public void put(Parser parser)
Call the wrapped pool.

Specified by:
  `put` in interface `ParserPool`
Parameters:
  `parser` -